Subject: Re: dtc: Refactor Makefiles

From: David Gibson <[email-masked]>
Date: Thu, 4 Oct 2007 15:20:53 +1000

On Wed, Oct 03, 2007 at 03:59:33PM +1000, David Gibson wrote:
> This patch makes a number of Makefile cleanups and improvements:
> 	- We use more generic rules to invoke flex and bison, which is
> useful for some of the other changes.
> 	- We use the name dtc-lexer.lex.c for the flex output, instead
> of the default lex.yy.c.  That means less potential for confusion if
> dtc is embedded into other projects (e.g. the kernel).
> 	- We separate out a Makefile.dtc designed for embedding into
> other projects, analagous to Makefile.libfdt.
> 	- Makefile.libfdt is cleaned up to be more useful based on
> some actual trial runs of embedding libfdt in the kernel bootwrapper.
> 	- Versioning related rules and variables are collected into
> one place in the Makefile.

Crap.  Don't apply, this seems to break the autodependency generation
for libfdt.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson